? contrib/citext/citext.sql
? contrib/citext/results
Index: contrib/citext/expected/citext.out
===================================================================
RCS file: /projects/cvsroot/pgsql/contrib/citext/expected/citext.out,v
retrieving revision 1.3
diff -u -r1.3 citext.out
--- contrib/citext/expected/citext.out	5 Sep 2008 18:25:17 -0000	1.3
+++ contrib/citext/expected/citext.out	14 Sep 2008 22:42:07 -0000
@@ -710,6 +710,30 @@
  t
 (1 row)
 
+SELECT 'f'::char::citext = 'f' AS t;
+ t 
+---
+ t
+(1 row)
+
+SELECT 'f'::citext::char = 'f'::char AS t;
+ t 
+---
+ t
+(1 row)
+
+SELECT 'f'::"char"::citext = 'f' AS t;
+ t 
+---
+ t
+(1 row)
+
+SELECT 'f'::citext::"char" = 'f'::"char" AS t;
+ t 
+---
+ t
+(1 row)
+
 SELECT 'foo'::bytea::citext = 'foo' AS t;
  t 
 ---
@@ -1041,6 +1065,8 @@
     text        text,
     varchar     varchar,
     bpchar      bpchar,
+    char        char,
+    chr         "char",
     name        name,    
     bytea       bytea,
     boolean     boolean,
@@ -1083,6 +1109,14 @@
 INSERT INTO caster (text)          VALUES ('foo'::bpchar);
 INSERT INTO caster (bpchar)        VALUES ('foo'::citext);
 INSERT INTO caster (citext)        VALUES ('foo'::bpchar);
+INSERT INTO caster (char)          VALUES ('f'::text);
+INSERT INTO caster (text)          VALUES ('f'::char);
+INSERT INTO caster (char)          VALUES ('f'::citext);
+INSERT INTO caster (citext)        VALUES ('f'::char);
+INSERT INTO caster (chr)           VALUES ('f'::text);
+INSERT INTO caster (text)          VALUES ('f'::"char");
+INSERT INTO caster (chr)           VALUES ('f'::citext);
+INSERT INTO caster (citext)        VALUES ('f'::"char");
 INSERT INTO caster (name)          VALUES ('foo'::text);
 INSERT INTO caster (text)          VALUES ('foo'::name);
 INSERT INTO caster (name)          VALUES ('foo'::citext);
Index: contrib/citext/expected/citext_1.out
===================================================================
RCS file: /projects/cvsroot/pgsql/contrib/citext/expected/citext_1.out,v
retrieving revision 1.1
diff -u -r1.1 citext_1.out
--- contrib/citext/expected/citext_1.out	5 Sep 2008 18:25:17 -0000	1.1
+++ contrib/citext/expected/citext_1.out	14 Sep 2008 22:42:08 -0000
@@ -710,12 +710,60 @@
  t
 (1 row)
 
+SELECT 'f'::char::citext = 'f' AS t;
+ t 
+---
+ t
+(1 row)
+
+SELECT 'f'::citext::char = 'f'::char AS t;
+ t 
+---
+ t
+(1 row)
+
+SELECT 'f'::"char"::citext = 'f' AS t;
+ t 
+---
+ t
+(1 row)
+
+SELECT 'f'::citext::"char" = 'f'::"char" AS t;
+ t 
+---
+ t
+(1 row)
+
 SELECT 'foo'::bytea::citext = 'foo' AS t;
  t 
 ---
  t
 (1 row)
 
+SELECT 'f'::char::citext = 'f' AS t;
+ t 
+---
+ t
+(1 row)
+
+SELECT 'f'::citext::char = 'f'::char AS t;
+ t 
+---
+ t
+(1 row)
+
+SELECT 'f'::"char"::citext = 'f' AS t;
+ t 
+---
+ t
+(1 row)
+
+SELECT 'f'::citext::"char" = 'f'::"char" AS t;
+ t 
+---
+ t
+(1 row)
+
 SELECT 'foo'::citext::bytea = 'foo'::bytea AS t;
  t 
 ---
@@ -1041,6 +1089,8 @@
     text        text,
     varchar     varchar,
     bpchar      bpchar,
+    char        char,
+    chr         "char",
     name        name,    
     bytea       bytea,
     boolean     boolean,
@@ -1083,6 +1133,14 @@
 INSERT INTO caster (text)          VALUES ('foo'::bpchar);
 INSERT INTO caster (bpchar)        VALUES ('foo'::citext);
 INSERT INTO caster (citext)        VALUES ('foo'::bpchar);
+INSERT INTO caster (char)          VALUES ('f'::text);
+INSERT INTO caster (text)          VALUES ('f'::char);
+INSERT INTO caster (char)          VALUES ('f'::citext);
+INSERT INTO caster (citext)        VALUES ('f'::char);
+INSERT INTO caster (chr)           VALUES ('f'::text);
+INSERT INTO caster (text)          VALUES ('f'::"char");
+INSERT INTO caster (chr)           VALUES ('f'::citext);
+INSERT INTO caster (citext)        VALUES ('f'::"char");
 INSERT INTO caster (name)          VALUES ('foo'::text);
 INSERT INTO caster (text)          VALUES ('foo'::name);
 INSERT INTO caster (name)          VALUES ('foo'::citext);
Index: contrib/citext/sql/citext.sql
===================================================================
RCS file: /projects/cvsroot/pgsql/contrib/citext/sql/citext.sql,v
retrieving revision 1.3
diff -u -r1.3 citext.sql
--- contrib/citext/sql/citext.sql	5 Sep 2008 18:25:17 -0000	1.3
+++ contrib/citext/sql/citext.sql	14 Sep 2008 22:42:08 -0000
@@ -220,6 +220,12 @@
 SELECT 'foo'::name::citext = 'foo' AS t;
 SELECT 'foo'::citext::name = 'foo'::name AS t;
 
+SELECT 'f'::char::citext = 'f' AS t;
+SELECT 'f'::citext::char = 'f'::char AS t;
+
+SELECT 'f'::"char"::citext = 'f' AS t;
+SELECT 'f'::citext::"char" = 'f'::"char" AS t;
+
 SELECT 'foo'::bytea::citext = 'foo' AS t;
 SELECT 'foo'::citext::bytea = 'foo'::bytea AS t;
 
@@ -300,6 +306,8 @@
     text        text,
     varchar     varchar,
     bpchar      bpchar,
+    char        char,
+    chr         "char",
     name        name,    
     bytea       bytea,
     boolean     boolean,
@@ -346,6 +354,16 @@
 INSERT INTO caster (bpchar)        VALUES ('foo'::citext);
 INSERT INTO caster (citext)        VALUES ('foo'::bpchar);
 
+INSERT INTO caster (char)          VALUES ('f'::text);
+INSERT INTO caster (text)          VALUES ('f'::char);
+INSERT INTO caster (char)          VALUES ('f'::citext);
+INSERT INTO caster (citext)        VALUES ('f'::char);
+
+INSERT INTO caster (chr)           VALUES ('f'::text);
+INSERT INTO caster (text)          VALUES ('f'::"char");
+INSERT INTO caster (chr)           VALUES ('f'::citext);
+INSERT INTO caster (citext)        VALUES ('f'::"char");
+
 INSERT INTO caster (name)          VALUES ('foo'::text);
 INSERT INTO caster (text)          VALUES ('foo'::name);
 INSERT INTO caster (name)          VALUES ('foo'::citext);
